﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGrid_BindingDates.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View(GetData().AsQueryable());
        }

        private List<Item> GetData()
        {
            List<Item> items = new List<Item>();
            for (int i = 0; i < 30; i++)
            {
                DateTime? date = DateTime.Now.AddDays(i);
                if (i % 2 == 0) {
                    date = null;
                }
                items.Add(new Item() { ID = i, Name = "Name" + i, Date = date });
            }
            return items;
        }
    }
}